/*
 * Copyright (c) 2016, Freescale Semiconductor, Inc.
 * Copyright (c) 2016-2021, NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */
#ifndef POWERMODES_H
#define POWERMODES_H
#include "Application.h"

/*******************************************************************************
 * Definitions
 ******************************************************************************/
#define BattModeTO (20)
/*******************************************************************************
* Prototypes
******************************************************************************/
extern uint8 MainsOn;
extern uint8 TurnLatchOff;
extern uint8 BattModeTimeout;

extern void ClockModuleInit(void);
extern void DoPowerStatus(void);
extern void GoToSleep(void);
extern void ShutDownIPs(void);
extern void ShutDownAndReset(void);
#endif // POWERMODE_H
